[package]
name = "documents"
version = "0.0.1"
edition = "2021"

[workspace]

[dependencies]
fable_library_rust = { path = "../../deps/polyglot/lib/rust/fable/fable_modules/fable-library-rust", default-features = false, features = ["static_do_bindings", "datetime", "guid", "threaded"] }
inline_colorization = ">=0.1,<1"
regex = "1.10"
clap = "4.5"
chrono = ">=0.4,<1"
encoding_rs = ">=0.8,<1"
encoding_rs_io = ">=0.1,<1"
futures = ">=0.3,<1"
async-walkdir = "2.0"
rayon = "1.10"
sha2 = "~0.11.0-pre.4"

[dev-dependencies]

[lib]
path = "documents.rs"

[[bin]]
name = "documents"
path = "main.rs"
